com.tibbo.aggregate.common.filter.converter

## Class FieldExpressionBuilder

- java.lang.Object
- - com.tibbo.aggregate.common.filter.converter.BaseExpressionBuilder
  - - com.tibbo.aggregate.common.filter.converter.FieldExpressionBuilder

- Direct Known Subclasses:
    StringFieldBuilder

      public class FieldExpressionBuilder
      extends BaseExpressionBuilder

- - ### Field Summary

    - ### Fields inherited from class com.tibbo.aggregate.common.filter.converter.BaseExpressionBuilder

      `builder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FieldExpressionBuilder()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `expandValuePresence(java.lang.String columnName, DataTable paneTable, java.lang.StringBuilder fb)`
    `void` | `withValuePresence(java.lang.String columnName, DataTable paneTable)`
    `static void` | `wrapBinaryOperationColumn(java.lang.StringBuilder sb, java.lang.String columnName, java.lang.String opCode, java.lang.String value)`
    `static void` | `wrapFunctionWithTwoParameters(java.lang.StringBuilder sb, java.lang.String funcName, java.lang.String columnName, java.lang.String value)`
    `static void` | `wrapFunctionWithTwoParametersNotBraced(java.lang.StringBuilder sb, java.lang.String funcName, java.lang.String arg1, java.lang.String arg2)`
    `static void` | `wrapSingleColumnArgument(java.lang.StringBuilder sb, java.lang.String funcName, java.lang.String columnName)`

    - ### Methods inherited from class com.tibbo.aggregate.common.filter.converter.BaseExpressionBuilder

      `build, withExpressionByAnd, withExpressionByOr, withLogicalAnd, withLogicalAnd, withLogicalOr, withLogicalOr`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FieldExpressionBuilder

          public FieldExpressionBuilder()

  - ### Method Detail

    - #### expandValuePresence

          public static void expandValuePresence(java.lang.String columnName,
                                                 DataTable paneTable,
                                                 java.lang.StringBuilder fb)

    - #### wrapBinaryOperationColumn

          public static void wrapBinaryOperationColumn(java.lang.StringBuilder sb,
                                                       java.lang.String columnName,
                                                       java.lang.String opCode,
                                                       java.lang.String value)

    - #### wrapSingleColumnArgument

          public static void wrapSingleColumnArgument(java.lang.StringBuilder sb,
                                                      java.lang.String funcName,
                                                      java.lang.String columnName)

    - #### wrapFunctionWithTwoParameters

          public static void wrapFunctionWithTwoParameters(java.lang.StringBuilder sb,
                                                           java.lang.String funcName,
                                                           java.lang.String columnName,
                                                           java.lang.String value)

    - #### wrapFunctionWithTwoParametersNotBraced

          public static void wrapFunctionWithTwoParametersNotBraced(java.lang.StringBuilder sb,
                                                                    java.lang.String funcName,
                                                                    java.lang.String arg1,
                                                                    java.lang.String arg2)

    - #### withValuePresence

          public void withValuePresence(java.lang.String columnName,
                                        DataTable paneTable)